Vehicle
Get all vehicle profiles
Get all vehicle profiles this user has (full) access to.
GET
/
vehicle
Get all vehicle profiles
curl --request GET \
--url https://ctechnology.io/api/v2.2/vehicle \
--header 'Authorization: <api-key>'import requests
url = "https://ctechnology.io/api/v2.2/vehicle"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://ctechnology.io/api/v2.2/vehicle', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"header": {
"num_results": 123,
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
],
"offset": 123,
"limit": 123
},
"data": [
{
"id": "<string>",
"device_id": "<string>",
"name": "<string>",
"type": "<string>",
"desc": "<string>",
"image_url": "<string>",
"delivery_date": "2023-11-07T05:31:56Z",
"ble_temp_type": "<string>",
"temp_1_desc": "<string>",
"temp_2_desc": "<string>",
"temp_3_desc": "<string>",
"temp_4_desc": "<string>",
"battery_main_desc": "<string>",
"battery_ext_1_desc": "<string>",
"device_angle_offset": 123,
"tank_size": 123,
"can_readout": true,
"obd2_readout": true,
"n2k_readout": true,
"hibernation_mode": true,
"maintenance_can_distance": true,
"hardware_type": "<string>",
"protocol_type": "<string>",
"bluetooth": true,
"bluetooth_address": "<string>",
"development_vehicle": true,
"sim_type": "<string>",
"processing_pipeline": "<string>",
"processing_pipeline_module_options_overrides": "<unknown>",
"brand": "<string>",
"description": "<string>",
"image_id": "<string>",
"group_id": "<string>",
"primary_organization_id": "<string>",
"manufacturing_organization_id": "<string>",
"professional_vehicle_id": "<string>",
"professional_vehicle_name": "<string>",
"professional_location_main_lon": 123,
"professional_location_main_lat": 123,
"professional_location_main_desc": "<string>",
"oem_vehicle_id": "<string>",
"oem_vehicle_type_id": "<string>",
"vehicle_registration_id": "<string>",
"vehicle_identification_number": "<string>",
"ain_1_desc": "<string>",
"ain_2_desc": "<string>",
"ain_3_desc": "<string>",
"ain_4_desc": "<string>",
"din_1_desc": "<string>",
"din_2_desc": "<string>",
"din_3_desc": "<string>",
"din_4_desc": "<string>",
"din_5_desc": "<string>",
"dout_1_desc": "<string>",
"dout_2_desc": "<string>",
"dout_3_desc": "<string>",
"dout_4_desc": "<string>",
"battery_ext_2_desc": "<string>",
"battery_ext_3_desc": "<string>",
"battery_ext_4_desc": "<string>",
"tank_prefer_analog": true,
"transport_mode": true,
"notrack_mode": true,
"notrack_mode_deact_time": "2023-11-07T05:31:56Z",
"function_control_mode_deact_time": "2023-11-07T05:31:56Z",
"subscription": {
"id": "<string>",
"timestamp_start": "2023-11-07T05:31:56Z",
"timestamp_end": "2023-11-07T05:31:56Z",
"service_type": "BASE",
"user_id": "<string>",
"vehicle_id": "<string>",
"stripe_subscription": "<string>",
"voucher_id": 123
},
"organization_vehicles": [
{
"id": "<string>",
"organization_id": "<string>",
"vehicle_id": "<string>",
"vehicle_device_id": "<string>",
"primary_organization": true,
"manufacturing_organization": true,
"vehicle_category_id": "<string>",
"vehicle_category_name": "<string>",
"vehicle_family_id": "<string>",
"vehicle_family_name": "<string>",
"vehicle_type_id": "<string>",
"vehicle_type_name": "<string>",
"vehicle_type_image_url": "<string>",
"organization_vehicle_id": "<string>",
"organization_vehicle_name": "<string>",
"organization_vehicle_desc": "<string>",
"vehicle_type_max_speed": 123,
"vehicle_type_battery_capacity_wh": 123,
"vehicle_type_avg_consumption_wh_per_km": 123,
"vehicle_type_tank_capacity_l": 123,
"vehicle_type_avg_consumption_l_per_100km": 123,
"location_main_desc": "<string>"
}
],
"initial_distance": 123,
"initial_operation_hours": 123,
"initial_date": "2023-12-25",
"initialization_complete": true,
"auto_discover_home": true,
"trips_end_at_home": true,
"remove_trip_points_on_land": true,
"vehicle_length_m": 123,
"vehicle_depth_m": 123,
"vehicle_height_m": 123,
"vehicle_weight_kg": 123,
"main_battery_property_pct": "<string>",
"main_fuel_property_pct": "<string>",
"display_settings": {
"webapp_sidebar_slot_1": "<string>",
"webapp_sidebar_slot_2": "<string>",
"nativeapp_dashboard_main": "<string>",
"nativeapp_four_most_important_1": "<string>",
"nativeapp_four_most_important_2": "<string>",
"nativeapp_four_most_important_3": "<string>",
"nativeapp_four_most_important_4": "<string>"
}
}
]
}{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"error": {
"id": "<string>",
"status": 123,
"type": "<string>",
"message": "<string>",
"message_i18n": "<string>",
"data": {}
}
}{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"error": {
"id": "<string>",
"status": 123,
"type": "<string>",
"message": "<string>",
"message_i18n": "<string>",
"data": {}
}
}Authorizations
Note that the API key has to be sent as Token 123 where 123 is
the key you received after logging in or by creating on the developer
dashboard.
Query Parameters
The number of items to skip before starting to collect the result set.
Required range:
x >= 0The numbers of items to return.
Required range:
x >= 0A free-text filter that is applied on various fields.
Previous
Get vehicle profileGets the given vehicle's profile. This consists of user-defined settings and profile information, as well as information about the hardware that is installed on the vehicle and its configuration.
Next
⌘I
Get all vehicle profiles

